# [BETA] List VM offerings

```http
GET /compute/v1/tenants/{tenantId}/vm/offerings
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ListOfferings`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:catalog`

Returns list of available VM offerings

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID

## Responses

### 200 — OK

Content type: `application/json`

- items (object)
  - `available` (boolean)
  - `cpu` (object)
    - `cores` (integer)
    - `vendor` (string, one of: `amd`, `intel`, `unspecified`)
  - `memory` (object)
    - `amount` (integer)
  - `name` (string)
  - `productCode` (string)
  - `storage` (object)
    - `amount` (integer)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)
